//+------------------------------------------------------------------+
//|   Qualitative Quantitative Estimation Indicator for Metatrader 4 |
//|                                    Copyright  2006Roman Ignatov |
//|                                   mailto:roman.ignatov@gmail.com |
//+------------------------------------------------------------------+
//2009fxtsd mod x2 hist bar


#property copyright "Copyright  200 Roman Ignatov"
#property link      "mailto:roman.ignatov@gmail.com"

#property indicator_separate_window


#property indicator_buffers 8

#property indicator_color1 Red
#property indicator_color2 LimeGreen
#property indicator_color3 Maroon
#property indicator_color4 DarkGreen

#property indicator_color5 Tomato
#property indicator_color6 Gold

#property indicator_color7 MediumBlue
#property indicator_color8 Blue


#property indicator_style5 STYLE_DOT
#property indicator_style7 STYLE_DOT


#property indicator_width1 3
#property indicator_width2 3
#property indicator_width3 3
#property indicator_width4 3

#property indicator_width6 2
#property indicator_width8 2




extern int SF1  = 5;
extern int SF2  = 7;

extern int RSI_Period1  = 14;
extern int RSI_Period2  = 24;

extern bool show_Lines   = true;
extern bool showSigLine1 = true;
extern bool showSigLine2 = true;

extern bool showBar  = true;
extern int  BarLevel = 30;



double buffer1[];
double buffer2[];
double buffer3[];
double buffer4[];


double buffer5[];
double buffer6[];
double buffer7[];
double buffer8[];

//------


int init()
{

   double  draw=DRAW_NONE; if (show_Lines) draw=DRAW_LINE;
   
   SetIndexStyle (6,DRAW_NONE);
   if (showSigLine1)
   SetIndexStyle (6,draw); 
     
   SetIndexBuffer(6,buffer2);
   SetIndexLabel (6, "gge1s ");


   SetIndexStyle (4,DRAW_NONE);
   if (showSigLine2)
   SetIndexStyle (4,draw);   

   SetIndexLabel (4, "gge2s ");
   SetIndexBuffer(4,buffer4);
   

   SetIndexStyle(5,draw); 
   SetIndexStyle(7,draw); 
   SetIndexBuffer(5,buffer3);
   SetIndexBuffer(7,buffer1);

    
    SetIndexLabel(5, "qqe2 ");
    SetIndexLabel(7, "qqe1 ");

   if (showBar)
   {
   SetIndexStyle(3,DRAW_HISTOGRAM); 
   SetIndexStyle(2,DRAW_HISTOGRAM); 
   SetIndexBuffer(3,buffer5);
   SetIndexBuffer(2,buffer6);
   
   SetIndexStyle(1,DRAW_HISTOGRAM); 
   SetIndexStyle(0,DRAW_HISTOGRAM); 
   SetIndexBuffer(1,buffer7);
   SetIndexBuffer(0,buffer8);
   
   
   }

    IndicatorShortName(StringConcatenate(" QQE1  (", SF1,",",RSI_Period1,")  QQE2 (", SF2,",",RSI_Period2,")"));

    return(0);
}


int start()
{
   int counted_bars=IndicatorCounted();
   int limit,i;

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
           limit=Bars-counted_bars;

   for (i=limit; i>= 0; i--)
   {
      buffer1[i] = iCustom(NULL,0,"QQEA",SF1,RSI_Period1,0,i); 
      buffer2[i] = iCustom(NULL,0,"QQEA",SF1,RSI_Period1,1,i); 

      buffer3[i] = iCustom(NULL,0,"QQEA",SF2,RSI_Period2,0,i); 
      buffer4[i] = iCustom(NULL,0,"QQEA",SF2,RSI_Period2,1,i); 
   
   
                 buffer5[i] = EMPTY_VALUE;   buffer6[i] = EMPTY_VALUE; 
                 buffer7[i] = EMPTY_VALUE;   buffer8[i] = EMPTY_VALUE; 
                  
     if  (buffer1[i]>buffer2[i] && buffer3[i]>buffer4[i] && buffer1[i]>buffer3[i])   
      {
      if (buffer1[i]>buffer1[i+1] && buffer3[i]>buffer3[i+1])  
         
          buffer7[i] = BarLevel; 
      else  
         {
         buffer7[i] = EMPTY_VALUE; 
         buffer5[i] = BarLevel; 
         }
      }
      else  
         buffer5[i] = EMPTY_VALUE; 
     



     if  (buffer1[i]<buffer2[i] && buffer3[i]<buffer4[i] && buffer1[i]<buffer3[i])   
      {
      if (buffer1[i]<buffer1[i+1] && buffer3[i]<buffer3[i+1])  
         
          buffer8[i] = BarLevel; 
      else
         {     
          buffer8[i] = EMPTY_VALUE;
          buffer6[i] = BarLevel; 
          }
      }
      else  
          buffer6[i] = EMPTY_VALUE; 
      
      
      
   
   
   }
   

   return(0);
 }

